---
services:
  rabbitmq:
    container_name: rabbitmq
    image: rabbitmq:3.12-management
    restart: always
    ports:
      - "5671:5671"
      - "15671:15671"  # remove to disable access to UI

    volumes:
      - type: bind
        source: /etc/rabbitmq/certs
        target: /etc/rabbitmq/certs
        read_only: true
      - type: bind
        source: /etc/rabbitmq/conf.d
        target: /etc/rabbitmq/conf.d
        read_only: true
